import { EggAbstractClazz } from './typing';
import { EggProtoImplClass, QualifierAttribute, QualifierValue } from '@eggjs/core-decorator';
export declare type ImplTypeEnum = {
    [id: string]: QualifierValue;
};
export declare type ImplDecorator<T extends object, Enum extends ImplTypeEnum> = (type: Enum[keyof Enum]) => ((clazz: EggProtoImplClass<T>) => void);
export declare class QualifierImplDecoratorUtil {
    static generatorDecorator<T extends object, Enum extends ImplTypeEnum>(abstractClazz: EggAbstractClazz<T>, attribute: QualifierAttribute): ImplDecorator<T, Enum>;
}
